input output error when burning blu-ray discs (bd-r)

Bug #788322 reported by Hadmut Danisch
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
k3b
Invalid
High
Fedora
Won't Fix
High
dvd+rw-tools (Ubuntu)
Undecided
Unassigned
dvd+rw-tools (openSUSE)
Unknown
Unknown
k3b (Debian)
New
Unknown
k3b (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: k3b

Hi,

I was just trying to burn blu-rays with k3b and an external usb blu-ray drive. k3b repeatedly aborted with "input/output error" just before finishing the disk (wasting an expensive recordable each time).

regards

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: k3b 2.0.2-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
Date: Wed May 25 22:15:59 2011
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100427.1)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/tcsh
SourcePackage: k3b
UpgradeStatus: Upgraded to natty on 2011-05-17 (7 days ago)

Revision history for this message
Hadmut Danisch (hadmut) wrote :
Revision history for this message
In , pbea (2aq9j93b7s) wrote :

Version: 2.0.2 (using KDE 4.6.5)
OS: Linux

Hello ...

Bought some blu-ray disks (Philips BD-R 25gb) and tried a backup from a storage drive. Bundled 21.2gb of data. 1.6gb remaining on disk. Amazing! Began burn.

Total burn time about 60 minutes. When 100% complete, the above error showed. Complete frozen crash. Could not access any reports.

Two points:
1. Before chucking out the blu-ray disk, I checked the file structure. It appears to be intact. I accessed random files and all were readable. Strange.
2. K3B reported 12.4x as the speed while the actual speed as stated below averaged about 1.4x. I checked with calculator and the below stated speed was mostly accurate.

Reproducible: Didn't try

Steps to Reproduce:
Why? You ask. The blu-ray disks cost about $1.80 a disk and the time was one hour of burn time. If you can give me some general suggestions then I will work with you and create some more expensive coasters.

Actual Results:
This does not happen with DVDs. Bundle some files and burn.

Expected Results:
The burn should have gone without generating an error.

K3B should have exited gracefully. I assume since the files are readable on the blu-ray disk then the problem may be a closing issue.

Revision history for this message
In , pbea (2aq9j93b7s) wrote :

I purged k3b and reinstalled it and tried another 25gb blu-ray disk. Both attempts were done with A1 quality blu-ray disks. The first a Philips BD-R 25gb and the second a Memorex BD-R 25gb disk.

A second attempt at burning a blu-ray caused the same result. The first burn was 21.2gb and the second 12.1gb.

The results were the same also a complete freeze and crash with no opportunity to capture any information.

The following can now be added to the original report.

Steps to Reproduce:
Burn a blu-ray disk and it ends with the crash and freeze.

Further info on the optical drive - PIONEER - BD-RW BDR-206

Revision history for this message
sergey (sergey-feo-s) wrote :

Please note that same bug exists on Debian 6.0.4 Squeeze also (K3b 2.0.1).

Revision history for this message
sergey (sergey-feo-s) wrote :

Debian's bug is not fatal. K3b report that write fails. But I can mount resulting BD-R. All needed files are on disk. I check sha256sums and this sums are OK.

Revision history for this message
sergey (sergey-feo-s) wrote :
Revision history for this message
In , Ml-kdebugs (ml-kdebugs) wrote :

After some digging and experimenting I have found the following which I hope may of help to other people in a similar predicament...

Problem caused by cdrecord (http://cdrecord.berlios.de/) licensing issues and past feuds which result in cdrkit (http://www.cdrkit.org/) being installed on system (Debian, Ubuntu, Suse, etc) and used in place of actual cdrecord binaries.

cdrkit binaries based on old and buggy code.

k3b patched to detect cdrkit installation and use growisofs instead - https://git.reviewboard.kde.org/r/101208/. In referenced bugs growisofs seems to have an issue closing the BD-R session resulting in the last file burnt to the disc being faulty and the disc left open ("Appendable: yes" in k3b after burning).

Solution is to install cdrecord. Removal of cdrkit isn't required as k3b will detect cdrecord from default install path of /opt/schily/.

For installation instructions on Debian-based O/S see: http://ubuntuforums.org/showpost.php?p=5552555&postcount=5

Note that you can stop at 'sudo make install' in the above and k3b will find cdrecord, no adjusting with symlinks in /usr/bin is required.

Apparently as detailed in http://forum.kde.org/viewtopic.php?f=153&t=85895&start=15#p165603 - setting k3b to "No Multisession" will cause it to use cdrecord instead of growisofs.

Have tested the above on Debian Wheezy.

Good luck - Ben Whorwood (mube.co.uk)

===

Issue referenced in bugs...

http://forum.kde.org/viewtopic.php?f=153&t=85895&sid=f3d37339bce3fcc5d907daea285e98a6&start=15
https://bugs.kde.org/show_bug.cgi?id=281818
https://bugs.kde.org/show_bug.cgi?id=244549
https://bugs.kde.org/show_bug.cgi?id=257652

===

Solution based on...

https://bugzilla.novell.com/show_bug.cgi?id=656502
https://git.reviewboard.kde.org/r/101208/
http://ubuntuforums.org/showthread.php?t=851707

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in k3b (Ubuntu):
status: New → Confirmed
Revision history for this message
James Frohn (databyte) wrote :

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: k3b 2.0.1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Architecture: amd64

I too have tried to burn 4 Blu-Ray Recordable (BD-R) and they all failed at 99% with an I/O error. The last one I tried, I only put 2.7GB on it backing up my Download directory which I had backed up on a DVD with success. It looks like the k3b program does not handle Blr-Rays correctly. Please advise with the fix / upgrade.

Thank you,
Jim . . .

Revision history for this message
Thomas Winkelmann (th-winkelmann) wrote :

I do have the same error. Both with BD-R-DL and BD-R LTH on a iHBS112_2 Drive. And I noticed the same using the programm "dkopp". The media is may be not ready finalised. Gnome Disk Utility proofs the file system of the burned disk not to be OK. I think this is not an error of k3b but of growisofs 7.1-10 (Version I use on Xubuntu - precise amd64). So, this may gets redirekted . All bugs of growisofs seem to be old.

I am able to produce an report with dkopp, which is much more detailed. Sorry that I killed the last report... Or, send me a command for testing and I will get the terminal output... Since BD medias are not that cheap, this problem is not acceptable for the publik.

Thomas

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :

Created attachment 613768
growisofs error when closing the first BD-R session

Description of problem:

When burning a BD-R, the first session is written but it cannot be closed.

Version-Release number of selected component (if applicable):
dvd+rw-tools.x86_64 7.1-9.fc17
kernel 3.5.3-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. instert a BD-R SL
2. growisofs -Z /dev/sr0 -J -allow-limited-size -udf -iso-level 3 ./
3. data is "writen" but the session "fails" to close.

Actual results:

 99.91% done, estimate finish Mon Sep 17 16:25:35 2012
 99.98% done, estimate finish Mon Sep 17 16:25:35 2012
Total translation table size: 0
Total rockridge attributes bytes: 0
Total directory bytes: 2048
Path table size(bytes): 22
Max brk space used 0
7566770 extents written (14778 MB)
builtin_dd: 7566784*2KB out @ average 3.2x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray

Expected results:
no error

Additional info:

* I first noticed it when using K3b, the first time i tried to burn one BD-R. Then i tried to reproduce it without K3b, and here i am.

* Tried two different BD-R brands.

* Writer: ATAPI iHBS112 2, CL0K

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :

Created attachment 613806
growisofs error when closing the first BD-R session, burning at lower speed

Unlike a default speed burn, a lot of these were shown:

:-? the LUN appears to be stuck writing LBA=2e40h, keep retrying in 2ms

The result was similar or the same.

 99.98% done, estimate finish Mon Sep 17 18:21:01 2012
Total translation table size: 0
Total rockridge attributes bytes: 2760
Total directory bytes: 2048
Path table size(bytes): 22
Max brk space used 0
7566773 extents written (14778 MB)
builtin_dd: 7566784*2KB out @ average 1.7x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray

Revision history for this message
In , Honza (honza-redhat-bugs) wrote :

Thanks for reporting. Is the data readable after writing with such error?

Looking at upstream mailing list, some other users had a similar issue, but it was actually harmless, when speaking about data itself on media:

http://<email address hidden>/msg12106.html
http://<email address hidden>/msg13071.html

(In reply to comment #1)
> :-? the LUN appears to be stuck writing LBA=2e40h, keep retrying in 2ms

This should be OK for fast drives choosing lower speed for writing. There are some sane limits, that can be too lower for your drive, so some warning messages are printed, but you don't have to pay attention to them.

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :

> Is the data readable after writing with such error?

I am not sure.
The disc with one big file was ok. I compared the sha256sum.

The disc with 12+ files was ok, it was really annoying to check
those sha256sum but i did it.

The disc with +100 files is not ok. The last files are not readable.
I am not sure. When reading the last 3 bad files, there are errors
in the message file:

Sep 18 08:34:28 ulquiorra kernel: [53268.787026] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787042] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787044] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787047] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787048] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787058] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787059] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787067] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787068] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787071] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787073] sr0: rw=0, want=47420264, limit=47304704
Sep 18 08:34:28 ulquiorra kernel: [53268.787076] attempt to access beyond end of device
Sep 18 08:34:28 ulquiorra kernel: [53268.787077] sr0: rw=0, want=47420264, limit=47304704

But main issue is that it blocks K3B from being able to verify
that all burned files are ok. With one or two files, one can
calculate the sha25sum manually, but with 100+ files...
And in my case, after burning them, i intend to delete them
from the hdd... so the burn verify option from K3B is really needed.

https://bugs.kde.org/show_bug.cgi?id=257652
https://bugs.kde.org/show_bug.cgi?id=242128
https://bugs.kde.org/show_bug.cgi?id=281818

Revision history for this message
In , Honza (honza-redhat-bugs) wrote :

Well, I guess k3b should still do the verification, even if there are some "warnings". Maybe the problem is only how to distinguish between such warnings and real unrepairable errors..

Let's re-assign this to k3b for now, maybe k3b maintainers have some idea, how to solve this.

Another thought is if this error could be possibly caused by a fix for bug #810483. Can you, please, test an older build without that patch, Reartes? I've built it for F17:
https://koji.fedoraproject.org/koji/taskinfo?taskID=4497634

Another test you can do is to try libburn and xorriso utility if there is an error as well. Looking into libburn code it seems it uses some other SCSI commands to close a session, which can be less problematic.

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :

Created attachment 614039
xorriso test

I tried with xorriso and it did not fail. however, cannot perform the check-sums manually for such amount of files. Xorriso seems to have a lot of options. I will check them first.

I will try the suggest growisofs version later and report back.

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :

Created attachment 614040
xorriso test, same size as previous growisofs

The first xorriso was smaller. So i added the same files to the original growisofs
+100 files. And that failed. I am not sure why.

Revision history for this message
In , Idanan (idanan) wrote :

Got the same error on two burns yesterday except mine does not crash. The files are intact and a recursive diff (diff -qr <dir1> <blu-ray-dir>) does not return any errors.

The system is OpenSUSE 12.2 64-bits fully update and using Verbatim 6X BD-R. Will try with TDK later.

Revision history for this message
In , Wolfgang (wolfgang-redhat-bugs) wrote :

I'm seeing the same error when writing a pre-made iso to disk with:

    growisofs -Z $RAWCD=$ISOFILE

dvd+rw-tools.x86_64 7.1-9.fc17 @anaconda-0
kernel.x86_64 3.6.10-2.fc17 @updates

BDR drive: LG WH14NS40
BDR disk: Philips 6x BDR
Mounted Media: 41h, BD-R SRM
Media ID: CMCMAG/BA5

...
23015587840/23096199168 (99.7%) @3.1x, remaining 0:06 RBU 100.0% UBU 90.3%
23063756800/23096199168 (99.9%) @3.2x, remaining 0:02 RBU 100.0% UBU 98.6%
builtin_dd: 11277456*2KB out @ average 3.0x4390KBps
/dev/sr0: flushing cache
/dev/sr0: closing track
/dev/sr0: closing session
:-[ CLOSE SESSION failed with SK=5h/INVALID FIELD IN CDB]: Input/output error
/dev/sr0: reloading tray

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :
Download full text (7.9 KiB)

I changed the component back to growisofs since the issue is reproducible without k3b.

I opened Bug 316384 "k3b cannot verify BD-R due to i/o error but logs shows none" at upstream for k3b being unable to "verify" the burned files (and just that).

Please ignore comments: #1, #2, #3
These might be different issues, i might open a bug-report for those if i can reproduce them.

I could not test the builds from #4, at that time.

I experimented with xorrisofs (comments #4, #5, #6) and nero for linux.
I will use this bug-report for tracking the error described in both the Description (comment#0) and in comment#7.

I tried with nero for linux, and it did not exhibit the issue at all.
Nero also had no troubles verifying the burned files.

# nerocmd --bd --verify --volume-name=demo --udf --rockridge --write --drive=11,0,0 --close-session --data /data2/*
You're running a demo version. Your license is valid until : 04/08/13
    Checking discs
[i] Checking discs
    PHASE: Start cache
    Writing to cache
[i] Caching of files started
    PHASE: Done cache
[i] Caching of files completed
[i] The current process cannot be interrupted
    PHASE: Start write
    Writing to disc
[i] Burn process started at 10x (44950 KB/s)
    Writing lead-in
[i] Writing lead-in
    Writing tracks
[i] Writing tracks
    Writing lead-out
[i] Writing lead-out
[i] The process can be interrupted again
    PHASE: Done write
[i] Burn process completed successfully at 10x (44950 KB/s)
    PHASE: Verify compilation
    Verifying disc
[i] Data verification started
    PHASE: Verify end ok .......
[i] Data verification completed successfully
Ok.

But for growisofs the issue does still happens for the first session only.
The next sessions do work ok.

# growisofs -Z /dev/sr0 -R -J 1/
Executing 'mkisofs -R -J 1/ | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not s...

Read more...

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :
Download full text (5.3 KiB)

Created attachment 708056
blkparse file obtained from blktrace the command below

Test #1:

Eject any disc and leave the optical drive empty.

Start the blktrace instance over the optical drive:
# blktrace -d /dev/sr0 -o - &> ~/blkt-BD-R-20130310.02.out

Inser a blank BD-R media on the optical drive and Burn with growisofs:
# growisofs -Z /dev/sr0 -R -J ./1/*

Stop the blktrace instance over the optical drive (CTRL+C)
Obtain a human readable output of the captured file:
# cat blkt-BD-R-20130310.02.out | blkparse -i - -o blkparse-BD-R-20130310.02.out

Output of the command:

# growisofs -Z /dev/sr0 -R -J ./1/*
Executing 'mkisofs -R -J ./1/1.dat | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  1.31% done, estimate finish Sun Mar 10 16:51:23 2013
/dev/sr0: pre-formatting blank BD-R for 24.8GB...
/dev/sr0: "Current Write Speed" is 10.2x4390KBps.
  2.62% done, estimate finish Sun Mar 10 17:14:53 2013
  3.93% done, estimate finish Sun Mar 10 17:08:45 2013
  5.24% done, estimate finish Sun Mar 10 17:04:44 2013
  6.55% done, estimate finish Sun Mar 10 17:02:19 2013
  7.86% done, estimate finish Sun Mar 10 17:00:42 2013
  9.17% done, estimate finish Sun Mar 10 16:59:33 2013
 10.48% done, estimate finish Sun Mar 10 16:58:41 2013
 11.79% done, estimate finish Sun Mar 10 16:58:01 2013
 13.10% done, estimate finish Sun Mar 10 16:57:29 2013
 14.41% done, estimate finish Sun Mar 10 16:57:03 2013
 15.72% done, estimate finish Sun Mar 10 16:56:41 2013
 17.03% done, estimate finish Sun Mar 10 16:56:22 2013
 18.34% done, estimate finish Sun Mar 10 16:56:06 2013
 19.65% done, estimate finish Sun Mar 10 16:55:52 2013
 20.96% done, estimate finish Sun Mar 10 16:55:40 2013
 22.27% done, estimate finish Sun Mar 10 16:55:29 2013
 23.58% done, estimate finish Sun Mar 10 16:55:20 2013
 24.89% done, estimate finish Sun Mar 10 16:55:12 2013
 26.20% done, estimate finish Sun Mar 10 16:55:04 2013
 27.51% done, estimate finish Sun Mar 10 16:54:57 2013
 28.82% done, estimate finish Sun Mar 10 16:54:51 2013
 30.13% done, estimate finish Sun Mar 10 16:54:45 2013
 31.44% done, estimate finish Sun Mar 10 16:54:40 2013
 32.75% done, estimate finish Sun Mar 10 16:54:35 2013
 34.06% done, estimate finish Sun Mar 10 16:54:30 2013
 35.37% done, estimate finish Sun Mar 10 16:54:26 2013
 36.68% done, estimate finish Sun Mar 10 16:54:20 2013
 37.99% done, estimate finish Sun Mar 10 16:54:19 2013
 39.30% done, estimate finish Sun Mar 10 16:54:13 2013
 40.61% done, estimate finish Sun Mar 10 16:54:10 2013
 41.92% done, estimate finish Sun Mar 10 16:54:07 2013
 43.22% done, estimate finish Sun Mar 10 16:54:04 2013
 44.54% done, estimate finish Sun Mar 10 16:54:02 2013
 45.84% done, estimate finish Sun Mar 10 16:54:00 2013
 47.16% done, estimate finish Sun Mar 10 16:53:57 2013
 48.46% done, estimate finish Sun Mar 10 16:53:55 2013
 49.78% done, estimate finish Sun Mar 10 16:53:53 2013
 51.08% done, estimate finish Sun Mar 10 16:53:51 2013
 52.40% done, estimate finish Sun Mar 10 16:53:49 2013
 53.70% done, estimate finish Sun Mar 10 16:53:48 2013
 55.01% done, estimate finish Sun Mar 10 16:53:46 2013
 56.32% done, estim...

Read more...

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :
Download full text (5.1 KiB)

Created attachment 708057
strace output of the command executed below

Test #2:

Insert a new blank media into the optical drive and burn with growisofs while performing an strace:
# strace -f -o growisofs-strace-20130310.03.out growisofs -Z /dev/sr0 -R -J ./1/*

Output of the command:

# strace -f -o growisofs-strace-20130310.03.out growisofs -Z /dev/sr0 -R -J ./1/*
Executing 'mkisofs -R -J ./1/1.dat | builtin_dd of=/dev/sr0 obs=32k seek=0'
I: -input-charset not specified, using utf-8 (detected in locale settings)
  1.31% done, estimate finish Sun Mar 10 17:16:26 2013
/dev/sr0: pre-formatting blank BD-R for 24.8GB...
/dev/sr0: "Current Write Speed" is 12.3x4390KBps.
  2.62% done, estimate finish Sun Mar 10 17:37:23 2013
  3.93% done, estimate finish Sun Mar 10 17:32:07 2013
  5.24% done, estimate finish Sun Mar 10 17:28:30 2013
  6.55% done, estimate finish Sun Mar 10 17:26:21 2013
  7.86% done, estimate finish Sun Mar 10 17:24:54 2013
  9.17% done, estimate finish Sun Mar 10 17:23:53 2013
 10.48% done, estimate finish Sun Mar 10 17:23:06 2013
 11.79% done, estimate finish Sun Mar 10 17:22:30 2013
 13.10% done, estimate finish Sun Mar 10 17:22:01 2013
 14.41% done, estimate finish Sun Mar 10 17:21:38 2013
 15.72% done, estimate finish Sun Mar 10 17:21:18 2013
 17.03% done, estimate finish Sun Mar 10 17:21:01 2013
 18.34% done, estimate finish Sun Mar 10 17:20:47 2013
 19.65% done, estimate finish Sun Mar 10 17:20:35 2013
 20.96% done, estimate finish Sun Mar 10 17:20:24 2013
 22.27% done, estimate finish Sun Mar 10 17:20:15 2013
 23.58% done, estimate finish Sun Mar 10 17:20:06 2013
 24.89% done, estimate finish Sun Mar 10 17:19:58 2013
 26.20% done, estimate finish Sun Mar 10 17:19:52 2013
 27.51% done, estimate finish Sun Mar 10 17:19:45 2013
 28.82% done, estimate finish Sun Mar 10 17:19:40 2013
 30.13% done, estimate finish Sun Mar 10 17:19:35 2013
 31.44% done, estimate finish Sun Mar 10 17:19:30 2013
 32.75% done, estimate finish Sun Mar 10 17:19:26 2013
 34.06% done, estimate finish Sun Mar 10 17:19:22 2013
 35.37% done, estimate finish Sun Mar 10 17:19:18 2013
 36.68% done, estimate finish Sun Mar 10 17:19:15 2013
 37.99% done, estimate finish Sun Mar 10 17:19:11 2013
 39.30% done, estimate finish Sun Mar 10 17:19:08 2013
 40.61% done, estimate finish Sun Mar 10 17:19:06 2013
 41.92% done, estimate finish Sun Mar 10 17:19:03 2013
 43.22% done, estimate finish Sun Mar 10 17:19:01 2013
 44.54% done, estimate finish Sun Mar 10 17:18:58 2013
 45.84% done, estimate finish Sun Mar 10 17:18:56 2013
 47.16% done, estimate finish Sun Mar 10 17:18:54 2013
 48.46% done, estimate finish Sun Mar 10 17:18:52 2013
 49.78% done, estimate finish Sun Mar 10 17:18:50 2013
 51.08% done, estimate finish Sun Mar 10 17:18:48 2013
 52.40% done, estimate finish Sun Mar 10 17:18:47 2013
 53.70% done, estimate finish Sun Mar 10 17:18:45 2013
 55.01% done, estimate finish Sun Mar 10 17:18:45 2013
 56.32% done, estimate finish Sun Mar 10 17:18:44 2013
 57.63% done, estimate finish Sun Mar 10 17:18:41 2013
 58.94% done, estimate finish Sun Mar 10 17:18:40 2013
 60.25% done, estimate finish Sun Mar 10 17:18:40 2013
 61.56% done, estimate finish Sun Mar 10 17:18:39...

Read more...

Przemek K. (azrael)
summary: - input output error when burning blu-rays
+ input output error when burning blu-ray discs (bd-r)
Revision history for this message
Przemek K. (azrael) wrote :
no longer affects: cdrtools
Revision history for this message
Przemek K. (azrael) wrote :
Revision history for this message
Przemek K. (azrael) wrote :

Another log from K3B

Revision history for this message
Przemek K. (azrael) wrote :
Revision history for this message
In , Przemekkulczycki+kde (przemekkulczycki+kde) wrote :

Same bug exists in Ubuntu and other distros:
https://bugs.launchpad.net/ubuntu/+source/k3b/+bug/788322

Przemek K. (azrael)
affects: dvd+rw-tools (Debian) → debian
affects: debian → k3b (Debian)
affects: dvd+rw-tools (Fedora) → fedora
Changed in k3b (Debian):
status: Unknown → New
Changed in k3b:
importance: Unknown → High
status: Unknown → New
Revision history for this message
Przemek K. (azrael) wrote :

A workaround for this bug is to use cdrtools from the following PPA:
https://launchpad.net/~brandonsnider/+archive/cdrtools
WIth cdrtools (cdrecord, mkisofs) I was finally able to burn BD-R and DVD+R DL discs correctly.

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

dvd+rw-tools-7.1-13.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dvd+rw-tools-7.1-13.fc18

Revision history for this message
In , Frantisek (frantisek-redhat-bugs) wrote :

Could you please test if the update fixes your problem?

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :

Hi,

Both systems have currently F17 Installed. Sadly, i don't have any F18 installation at the moment.

But since i skipped F18, F19b is also installed on both systems for testing.
Additionally, i now have another writer to test, on the other system.

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

dvd+rw-tools-7.1-13.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/dvd+rw-tools-7.1-13.fc17

Revision history for this message
In , Reartes (reartes-redhat-bugs) wrote :

Ok, i tested System#1 with F17 (dvd+rw-tools-7.1-13.fc17) and
System#2 with F19 (dvd+rw-tools-7.1-13.fc19):

* System#1 F17: Model: iHBS112, FW: CL0K (Kernel: 3.8.13-100.fc17.x86_64)
* System#2 F19: Model: iHBS112, FW: PL01 (Kernel: 3.9.6-301.fc19.x86_64)

I was able to write the first session without any error both with
growisofs directly and with K3b (and verify the written disc is now working!)
It seems fixed! Thanks!

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we may not be able to fix it before Fedora 17 is end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged change the
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

dvd+rw-tools-7.1-13.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-11668/dvd+rw-tools-7.1-13.fc19

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

dvd+rw-tools-7.1-13.fc19 has been pushed to the Fedora 19 stable repository. If problems still persist, please make note of it in this bug report.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in dvd+rw-tools (Ubuntu):
status: New → Confirmed
Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Revision history for this message
In , Fedora (fedora-redhat-bugs) wrote :

dvd+rw-tools-7.1-13.fc18 has been pushed to the Fedora 18 stable repository. If problems still persist, please make note of it in this bug report.

Revision history for this message
Federico Tello Gentile (federicotg) wrote :
Revision history for this message
In , Tgarson (tgarson) wrote :

64 bit Suse 13.1:
K3B 98% done with burn of DVD and get I/O error, terminating burn. No crash. Twice in succession with Blu Ray but has been going on with DVDs as well.
A search brought me to this bug report.
I've now replaced cdrkit with latest cdrecord. Burn completed with no errors.
Suse 13.1 Yast does require removal of cdrkit before install of cdrecord.

Revision history for this message
Michael Vogt (mvo) wrote :
Revision history for this message
In , Nick Dowson (nickmdowson) wrote :

I can confirm this on Debian Jessie, K3B 4.14.2, burning to a 4 GB dvd.

Revision history for this message
In , Leslie Zhai (xiangzhai83) wrote :

*** This bug has been marked as a duplicate of bug 367639 ***

Revision history for this message
In , Leslie Zhai (xiangzhai83) wrote :

quote from Thomas Schmitt

is most probably the known growisofs bug about unformatted BD-R,
which it formats automatically but then forgets to have done.
An inappropriate CLOSE SESSION command is sent in the end and
causes the error message. Diagnosis and fix are here:
  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=713016

Workaround:
Add growisofs option -use-the-force-luke=spare=none if the BD-R
medium is detected as blank. Or run dvd+rw-format on the BD-R
before running growisofs.

Changed in k3b:
status: New → Confirmed
Changed in fedora:
importance: Unknown → High
status: Unknown → Won't Fix
Revision history for this message
In , Justin Zobel (justin-zobel) wrote :

Thank you for the crash report.

As it has been a while since this was reported, can you please test and confirm if this issue is still occurring or if this bug report can be marked as resolved.

I have set the bug status to "needsinfo" pending your response, please change back to "reported" or "resolved/worksforme" when you respond, thank you.

Changed in k3b:
status: Confirmed → Incomplete
Revision history for this message
In , Bug-janitor (bug-janitor) wrote :

Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!

Revision history for this message
In , Idanan (idanan) wrote :

This error I experienced a long time ago when I commented on the bug, but I am not the one to report it originally. It is no longer occurring now, but I no longer have the original hardware where that occurred. Either it is fixed or the problem is related to the old hardware.

Revision history for this message
Hadmut Danisch (hadmut) wrote :

Sorry, but I'm not in posession of this 10 years old hardware anymore. Although I still have a blueray writing device, I haven't used it for years. I first have to figure out again how to use it...

Revision history for this message
In , Bug-janitor (bug-janitor) wrote :

Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least
15 days. Please provide the requested information as soon as
possible and set the bug status as REPORTED. Due to regular bug
tracker maintenance, if the bug is still in NEEDSINFO status with
no change in 30 days the bug will be closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please
mark the bug as REPORTED so that the KDE team knows that the bug is
ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!

Revision history for this message
In , Bug-janitor (bug-janitor) wrote :

This bug has been in NEEDSINFO status with no change for at least
30 days. The bug is now closed as RESOLVED > WORKSFORME
due to lack of needed information.

For more information about our bug triaging procedures please read the
wiki located here:
https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!

Changed in k3b:
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.